Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class BaseReportExecutionHyperlinkProducerFactory

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.BaseReportExecutionHyperlinkProducerFactory

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ReportExecutionHyperlinkProducerFactory, ReportExecutionHyperlinkProducerFactory

    public abstract class BaseReportExecutionHyperlinkProducerFactory

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: BaseReportExecutionHyperlinkProducerFactory.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary
`class` | `BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`BaseReportExecutionHyperlinkProducerFactory()`

Method Summary
`HyperlinkParameterFormatter` | `getDateFormatter()`
`CharacterEncodingProvider` | `getEncodingProvider()`
`java.lang.String` | `getFlowControllerMapping()`
`java.lang.String` | `getHyperlinkParameterOutputChannel()`
`java.lang.String` | `getHyperlinkParameterReportUnit()`
`java.lang.String` | `getReportExecutionFlowId()`
`java.lang.String` | `getUrlParameterOutputChannel()`
`java.lang.String` | `getUrlParameterReportUnit()`
`void` | `setDateFormatter(HyperlinkParameterFormatter dateFormatter)`
`void` | `setEncodingProvider(CharacterEncodingProvider encodingProvider)`
`void` | `setFlowControllerMapping(java.lang.String flowControllerMapping)`
`void` | `setHyperlinkParameterOutputChannel(java.lang.String hyperlinkParameterOutputChannel)`
`void` | `setHyperlinkParameterReportUnit(java.lang.String hyperlinkParameterReportUnitURI)`
`void` | `setReportExecutionFlowId(java.lang.String reportExecutionFlowId)`
`void` | `setUrlParameterOutputChannel(java.lang.String urlParameterOutputChannel)`
`void` | `setUrlParameterReportUnit(java.lang.String urlParameterReportUnitURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### BaseReportExecutionHyperlinkProducerFactory

    public BaseReportExecutionHyperlinkProducerFactory()

Method Detail

### getDateFormatter

    public HyperlinkParameterFormatter getDateFormatter()

### setDateFormatter

    public void setDateFormatter(HyperlinkParameterFormatter dateFormatter)

### getFlowControllerMapping

    public java.lang.String getFlowControllerMapping()

### setFlowControllerMapping

    public void setFlowControllerMapping(java.lang.String flowControllerMapping)

### getReportExecutionFlowId

    public java.lang.String getReportExecutionFlowId()

### setReportExecutionFlowId

    public void setReportExecutionFlowId(java.lang.String reportExecutionFlowId)

### getHyperlinkParameterReportUnit

    public java.lang.String getHyperlinkParameterReportUnit()

### setHyperlinkParameterReportUnit

    public void setHyperlinkParameterReportUnit(java.lang.String hyperlinkParameterReportUnitURI)

### getUrlParameterReportUnit

    public java.lang.String getUrlParameterReportUnit()

### setUrlParameterReportUnit

    public void setUrlParameterReportUnit(java.lang.String urlParameterReportUnitURI)

### getHyperlinkParameterOutputChannel

    public java.lang.String getHyperlinkParameterOutputChannel()

### setHyperlinkParameterOutputChannel

    public void setHyperlinkParameterOutputChannel(java.lang.String hyperlinkParameterOutputChannel)

### getUrlParameterOutputChannel

    public java.lang.String getUrlParameterOutputChannel()

### setUrlParameterOutputChannel

    public void setUrlParameterOutputChannel(java.lang.String urlParameterOutputChannel)

### getEncodingProvider

    public CharacterEncodingProvider getEncodingProvider()

### setEncodingProvider

    public void setEncodingProvider(CharacterEncodingProvider encodingProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.